Package ru.bitel.bgbilling.plugins.message4user.common.service

# Interface MessagesForUsersService

public interface MessagesForUsersService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteMessage(int messageId)`
  `int`
  `getLastMessageId()`
  `List<Message>`
  `getMessageList()`
  `List<Message>`
  `getMessageListFromLastMessageId(int latsMessageId, String userId)`
  `String`
  `getUserId()`
  `void`
  `updateMessage(Message message)`
  `void`
  `updateUserConfig(int lastMessageId)`

- ## Method Details

  - ### getMessageList

    List<Message> getMessageList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getMessageListFromLastMessageId

    List<Message> getMessageListFromLastMessageId(int latsMessageId, String userId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateMessage

    void updateMessage(Message message) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteMessage

    void deleteMessage(int messageId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getLastMessageId

    int getLastMessageId() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateUserConfig

    void updateUserConfig(int lastMessageId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getUserId

    String getUserId() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`